org.jgrapht.event

## Class GraphChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - org.jgrapht.event.GraphChangeEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    GraphEdgeChangeEvent, GraphVertexChangeEvent

      public class GraphChangeEvent
      extends EventObject

  An event which indicates that a graph has changed. This class is a root for graph change events.
  Since:
    Aug 10, 2003
  Author:
    Barak Naveh
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `type` The type of graph change this event indicates.

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphChangeEvent(Object eventSource, int type)` Creates a new graph change event.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getType()` Returns the event type.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected int type

      The type of graph change this event indicates.

  - ### Constructor Detail

    - #### GraphChangeEvent

          public GraphChangeEvent(Object eventSource,
                          int type)

      Creates a new graph change event.
      Parameters:
        `eventSource` - the source of the event.
        `type` - the type of event.

  - ### Method Detail

    - #### getType

          public int getType()

      Returns the event type.
      Returns:
        the event type.

Copyright © 2016. All rights reserved.